unit ReadTwilightUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls;

type
  TTLForm = class(TForm)
    DriveComboBox1: TDriveComboBox;
    Label1: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    NameEdit: TEdit;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label3: TLabel;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TLForm: TTLForm;

implementation

uses MainUnit;

{$R *.DFM}

procedure TTLForm.Button1Click(Sender: TObject);
var regel : string;
    F: Textfile;
begin
  AssignFile(F, DriveComboBox1.Drive+':\menu\list.txt');
  label3.Caption:='Reading: '+DriveComboBox1.Drive+':\menu\list.txt';
  {$I-}
  Reset(F);
  {$I+}
  if IOResult <> 0 then
    begin
      MessageDlg('Error: Could access '+DriveComboBox1.Drive+
                 ':\Menu\LIST.TXT file, is this disk no.2 ?', mtError, [mbOk], 0);
      exit;
    end
  else
    begin
      MainForm.Outline1.Lines.Add(NameEdit.Text+FormatDateTime('" ["dd-mm-yyyy"]"', now()));
      repeat
         Readln(F,regel);
         if (Pos(' ',regel)<>1) and (Pos('[',regel)<>1) and (length(regel)<>0) then
           MainForm.Outline1.lines.add(' '+regel);
      until eof(f);
    end;

  Closefile(F);

  AssignFile(F, DriveComboBox1.Drive+':\various\various.lst');
  label3.Caption:='Reading: '+DriveComboBox1.Drive+':\various\various.lst';
  {$I-}
  Reset(F);
  {$I+}
  if IOResult <> 0 then
    begin
      MessageDlg('Error: Could access '+DriveComboBox1.Drive+
                 ':\various\various.lst file, is this disk no.2 ?', mtError, [mbOk], 0);
      exit;
    end
  else
    begin
      repeat
         Readln(F,regel);
         if (Pos(' ',regel)<>1) and (Pos('[',regel)<>1) and (length(regel)<>0) then
           MainForm.Outline1.lines.add(' '+regel);
      until eof(f);
    end;

  Closefile(F);
  label3.Caption:='Waiting ...';
end;

procedure TTLForm.Button2Click(Sender: TObject);
begin
  Close;
end;

end.
